
Infrastructure - Task #3081

Task # 3074 (Closed): Phase one implementaion for morpho to connect dataone services

Modify the morpho setting to allow user choose or input the active dataone member node

2012-07-18 01:12 - Jing Tao

Status: Closed Start date: 2012-07-18

Priority: Normal Due date:  

Assignee:  % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 2013.10-Block.2.1   

Milestone: None Story Points:  

Product Version: *   

Description

Morpho can work with mutiple MNs, but user should choose one as active member node for create().

In the setting panel, user can choose the active member node from a dropdown list, or input a member node base url.

The member nodes list was generated from Node service.

History

#1 - 2012-07-18 01:21 - Jing Tao

Also, if the active member node is metacat, use metacat API to search. Otherwise, disable the search and openning network packages (this involves

search as well) features.

#2 - 2012-10-11 15:33 - Dave Vieglais

- Target version changed from Sprint-2012.37-Block.5.3 to Sprint-2012.41-Block.6.1

#3 - 2012-10-24 18:20 - Ben Leinfelder

- Target version changed from Sprint-2012.41-Block.6.1 to Sprint-2012.44-Block.6.2

#4 - 2012-12-12 16:51 - Chris Jones

- Target version changed from Sprint-2012.44-Block.6.2 to Sprint-2012.50-Block.6.4

#5 - 2013-03-01 18:33 - Ben Leinfelder

- Target version changed from Sprint-2012.50-Block.6.4 to 2013.10-Block.2.1

#6 - 2013-03-02 05:23 - Ben Leinfelder

- translation missing: en.field_remaining_hours set to 0.0

- Status changed from New to Closed

There is an advanced tab for setting the CN URL. Users select a MN (they are shown the node name) from the list of registered MNs in that CN

environment or they can enter the MN baseURL manually
